Loading...
Searching...
No Matches
_ocsd_ptm_cfg Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_ptm.h>`

## Public Attributes

uint32_t | reg_idr
uint32_t | reg_ctrl
uint32_t | reg_ccer
uint32_t | reg_trc_id
ocsd_arch_version_t | arch_ver
ocsd_core_profile_t | core_prof

## Detailed Description

Definition at line 121 of file trc_pkt_types_ptm.h.

## Member Data Documentation

## arch_ver

ocsd_arch_version_t _ocsd_ptm_cfg::arch_ver

Architecture version

Definition at line 127 of file trc_pkt_types_ptm.h.

## core_prof

ocsd_core_profile_t _ocsd_ptm_cfg::core_prof

Core Profile

Definition at line 128 of file trc_pkt_types_ptm.h.

## reg_ccer

uint32_t _ocsd_ptm_cfg::reg_ccer

Condition code extension register

Definition at line 125 of file trc_pkt_types_ptm.h.

## reg_ctrl

uint32_t _ocsd_ptm_cfg::reg_ctrl

Control Register

Definition at line 124 of file trc_pkt_types_ptm.h.

## reg_idr

uint32_t _ocsd_ptm_cfg::reg_idr

PTM ID register

Definition at line 123 of file trc_pkt_types_ptm.h.

## reg_trc_id

uint32_t _ocsd_ptm_cfg::reg_trc_id

CoreSight Trace ID register

Definition at line 126 of file trc_pkt_types_ptm.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/ptm/trc_pkt_types_ptm.h